Package org.springframework.security.core.parameters

# Class DefaultSecurityParameterNameDiscoverer

java.lang.Object
org.springframework.core.PrioritizedParameterNameDiscoverer
org.springframework.security.core.parameters.DefaultSecurityParameterNameDiscoverer

All Implemented Interfaces:
  `org.springframework.core.ParameterNameDiscoverer`

public class DefaultSecurityParameterNameDiscoverer extends org.springframework.core.PrioritizedParameterNameDiscoverer
Spring Security's default `ParameterNameDiscoverer` which tries a number of `ParameterNameDiscoverer` depending on what is found on the classpath.

- Will use an instance of `AnnotationParameterNameDiscoverer` with `P` as a valid annotation. If, Spring Data is on the classpath will also add Param annotation.

Since:
  3.2
See Also:
  - `AnnotationParameterNameDiscoverer`

## Constructor Summary

Constructors
Constructor
Description
`DefaultSecurityParameterNameDiscoverer()`
Creates a new instance with only the default `ParameterNameDiscoverer` instances.
`DefaultSecurityParameterNameDiscoverer(List<? extends org.springframework.core.ParameterNameDiscoverer> parameterNameDiscovers)`
Creates a new instance that first tries the passed in `ParameterNameDiscoverer` instances.

## Method Summary

### Methods inherited from class org.springframework.core.PrioritizedParameterNameDiscoverer

`addDiscoverer, getParameterNames, getParameterNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultSecurityParameterNameDiscoverer

public DefaultSecurityParameterNameDiscoverer()
Creates a new instance with only the default `ParameterNameDiscoverer` instances.

### DefaultSecurityParameterNameDiscoverer

public DefaultSecurityParameterNameDiscoverer(List<? extends org.springframework.core.ParameterNameDiscoverer> parameterNameDiscovers)
Creates a new instance that first tries the passed in `ParameterNameDiscoverer` instances.

Parameters:
  `parameterNameDiscovers` - the `ParameterNameDiscoverer` before trying the defaults. Cannot be null.